Index: trunk/T1-CPU/exu/sparc_exu.v
===================================================================
--- trunk/T1-CPU/exu/sparc_exu.v	(revision 6)
+++ trunk/T1-CPU/exu/sparc_exu.v	(revision 26)
@@ -595,45 +595,45 @@
 assign syndrome[3]=ifu_exu_ren3_s_d && (irf_byp_rs3h_data_d_l_ref!=irf_byp_rs3h_data_d_l_fpga);
 
-assign ILA_DATA[1:0]=ifu_exu_tid_s2;
-assign ILA_DATA[6:2]=ifu_exu_rs1_s;
-assign ILA_DATA[11:7]=ifu_exu_rs2_s;
-assign ILA_DATA[16:12]=ifu_exu_rs3_s;
-assign ILA_DATA[17]=ifu_exu_ren1_s;
-assign ILA_DATA[18]=ifu_exu_ren2_s;
-assign ILA_DATA[19]=ifu_exu_ren3_s;
-assign ILA_DATA[20]=ecl_irf_wen_w;
-assign ILA_DATA[21]=ecl_irf_wen_w2;
-assign ILA_DATA[26:22]=ecl_irf_rd_m_d;
-assign ILA_DATA[31:27]=ecl_irf_rd_g_d;
-assign ILA_DATA[103:32]=byp_irf_rd_data_w;
-assign ILA_DATA[175:104]=byp_irf_rd_data_w2;
-assign ILA_DATA[177:176]=ecl_irf_tid_m;
-assign ILA_DATA[179:178]=ecl_irf_tid_g;
-assign ILA_DATA[182:180]=rml_irf_old_lo_cwp_e;
-assign ILA_DATA[185:183]=rml_irf_new_lo_cwp_e;
-assign ILA_DATA[187:186]=rml_irf_old_e_cwp_e;
-assign ILA_DATA[189:188]=rml_irf_new_e_cwp_e;
-assign ILA_DATA[190]=rml_irf_swap_even_e;
-assign ILA_DATA[191]=rml_irf_swap_odd_e;
-assign ILA_DATA[192]=rml_irf_swap_local_e;
-assign ILA_DATA[193]=rml_irf_kill_restore_w;
-assign ILA_DATA[195:194]=rml_irf_cwpswap_tid_e;
-assign ILA_DATA[197:196]=rml_irf_old_agp;
-assign ILA_DATA[199:198]=rml_irf_new_agp;
-assign ILA_DATA[200]=rml_irf_swap_global;
-assign ILA_DATA[202:201]=rml_irf_global_tid;
-assign ILA_DATA[274:203]=irf_byp_rs1_data_d_l_ref;
-assign ILA_DATA[346:275]=irf_byp_rs2_data_d_l_ref;
-assign ILA_DATA[418:347]=irf_byp_rs3_data_d_l_ref;
-assign ILA_DATA[450:419]=irf_byp_rs3h_data_d_l_ref;
-assign ILA_DATA[522:451]=irf_byp_rs1_data_d_l_fpga;
-assign ILA_DATA[594:523]=irf_byp_rs2_data_d_l_fpga;
-assign ILA_DATA[666:595]=irf_byp_rs3_data_d_l_fpga;
-assign ILA_DATA[698:667]=irf_byp_rs3h_data_d_l_fpga;
-assign ILA_DATA[702:699]=syndrome;// && read_known0;
-assign ILA_DATA[705:703]=current_cwp[2:0];
-assign ILA_DATA[706]=0;
-assign ILA_DATA[737:707]={cnt[14:0],err_cnt};
-assign ILA_DATA[738]=rml_irf_swap_local_e && (current_window!=rml_irf_old_lo_cwp_e);
+//assign ILA_DATA[1:0]=ifu_exu_tid_s2;
+//assign ILA_DATA[6:2]=ifu_exu_rs1_s;
+//assign ILA_DATA[11:7]=ifu_exu_rs2_s;
+//assign ILA_DATA[16:12]=ifu_exu_rs3_s;
+//assign ILA_DATA[17]=ifu_exu_ren1_s;
+//assign ILA_DATA[18]=ifu_exu_ren2_s;
+//assign ILA_DATA[19]=ifu_exu_ren3_s;
+//assign ILA_DATA[20]=ecl_irf_wen_w;
+//assign ILA_DATA[21]=ecl_irf_wen_w2;
+//assign ILA_DATA[26:22]=ecl_irf_rd_m_d;
+//assign ILA_DATA[31:27]=ecl_irf_rd_g_d;
+//assign ILA_DATA[103:32]=byp_irf_rd_data_w;
+//assign ILA_DATA[175:104]=byp_irf_rd_data_w2;
+//assign ILA_DATA[177:176]=ecl_irf_tid_m;
+//assign ILA_DATA[179:178]=ecl_irf_tid_g;
+//assign ILA_DATA[182:180]=rml_irf_old_lo_cwp_e;
+//assign ILA_DATA[185:183]=rml_irf_new_lo_cwp_e;
+//assign ILA_DATA[187:186]=rml_irf_old_e_cwp_e;
+//assign ILA_DATA[189:188]=rml_irf_new_e_cwp_e;
+//assign ILA_DATA[190]=rml_irf_swap_even_e;
+//assign ILA_DATA[191]=rml_irf_swap_odd_e;
+//assign ILA_DATA[192]=rml_irf_swap_local_e;
+//assign ILA_DATA[193]=rml_irf_kill_restore_w;
+//assign ILA_DATA[195:194]=rml_irf_cwpswap_tid_e;
+//assign ILA_DATA[197:196]=rml_irf_old_agp;
+//assign ILA_DATA[199:198]=rml_irf_new_agp;
+//assign ILA_DATA[200]=rml_irf_swap_global;
+//assign ILA_DATA[202:201]=rml_irf_global_tid;
+//assign ILA_DATA[274:203]=irf_byp_rs1_data_d_l_ref;
+//assign ILA_DATA[346:275]=irf_byp_rs2_data_d_l_ref;
+//assign ILA_DATA[418:347]=irf_byp_rs3_data_d_l_ref;
+//assign ILA_DATA[450:419]=irf_byp_rs3h_data_d_l_ref;
+//assign ILA_DATA[522:451]=irf_byp_rs1_data_d_l_fpga;
+//assign ILA_DATA[594:523]=irf_byp_rs2_data_d_l_fpga;
+//assign ILA_DATA[666:595]=irf_byp_rs3_data_d_l_fpga;
+//assign ILA_DATA[698:667]=irf_byp_rs3h_data_d_l_fpga;
+//assign ILA_DATA[702:699]=syndrome;// && read_known0;
+//assign ILA_DATA[705:703]=current_cwp[2:0];
+//assign ILA_DATA[706]=0;
+//assign ILA_DATA[737:707]={cnt[14:0],err_cnt};
+//assign ILA_DATA[738]=rml_irf_swap_local_e && (current_window!=rml_irf_old_lo_cwp_e);
 //assign ILA_DATA[699]=(irf_byp_rs1_data_d_l_fpga!=irf_byp_rs1_data_d_l_fpga_d) && (irf_byp_rs1_data_d_l==irf_byp_rs1_data_d_l_d);
 //assign ILA_DATA[700]=(irf_byp_rs2_data_d_l_fpga!=irf_byp_rs2_data_d_l_fpga_d) && (irf_byp_rs2_data_d_l==irf_byp_rs2_data_d_l_d);
@@ -645,5 +645,5 @@
    bw_r_irf_fpga1 irf(
                 
-                .current_cwp(current_cwp),
+                .current_cwp(current_cwp[11:0]),
                 .so                     (short_scan0_1),
                 .si                     (short_si0),
